Trigger auto-remediation
curl --request POST \
--url https://api.app.chainloop.dev/v1/findings/auto-remediation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assessment_id": "<string>"
}
'import requests
url = "https://api.app.chainloop.dev/v1/findings/auto-remediation"
payload = { "assessment_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assessment_id: '<string>'})
};
fetch('https://api.app.chainloop.dev/v1/findings/auto-remediation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"operation_id": "operation_id"
}{
"code": 0,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 6,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 1,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
{
"@type": "@type"
},
{
"@type": "@type"
}
],
"message": "message"
}Trigger auto-remediation
Dispatch an AI-powered auto-remediation for a vulnerability finding, creating a PR with the fix.
POST
/
v1
/
findings
/
auto-remediation
Trigger auto-remediation
Authorizations
Bearer token for authentication
Body
application/json
FindingServiceTriggerAutoRemediationRequest is the request for triggering auto-remediation.
FindingServiceTriggerAutoRemediationRequest is the request for triggering auto-remediation.
UUID of the AFFECTED assessment backing the remediation. The finding is derived server-side from the assessment's linkage.
Response
A successful response.
FindingServiceTriggerAutoRemediationResponse is the response for triggering auto-remediation.
⌘I
